version: '3.7'

services:
  # Database
  db:
    container_name:  data-base-teste2
    image: mysql:5.7
    volumes:
      - db_data:/var/lib/mysql
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: password
      MYSQL_DATABASE: wordpress
      MYSQL_USER: lala
      MYSQL_PASSWORD: ziza
    networks:
      - wpsite
  # phpmyadmin
  phpmyadmin:
    container_name:  php-teste2
    depends_on:
      - db
    image: phpmyadmin/phpmyadmin
    restart: always
    ports:
      - '8080:80'
    environment:
      PMA_HOST: db
      MYSQL_ROOT_PASSWORD: password 
    networks:
      - wpsite
  # Wordpress
  wordpress:
    container_name:  wordpress-teste2
    depends_on:
      - db
    image: wordpress:5.3
    ports:
      - '8000:80'
    restart: always
    volumes: ['./src:/var/www/html']
    environment:
      WORDPRESS_DB_HOST: db:3306
      WORDPRESS_DB_USER: lala
      WORDPRESS_DB_PASSWORD: ziza
    networks:
      - wpsite
networks:
  wpsite:
volumes:
  db_data: